    createComposition_spider_enter = function()
    
        local compositionfon = CreateCompositionSequence()
        local compositionDuration = 1.04040404040404
        compositionfon:SetDuration(compositionDuration)
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/18_arbour_/ZoomPipe/anim/spider/spider_shake.png")
        element:SetName("Layer_1")
        compositionfon:AddElement(element)
        element:SetHotSpot(64.5, 50.5)
        element:SetParentElement(compositionfon)
        element:SetXY(324, 260)
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(2)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 129, 101)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.07602691971493)
      
        effector:Play()
    
   
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/18_arbour_/ZoomPipe/anim/spider/web_shake.png")
        element:SetName("Layer_3")
        compositionfon:AddElement(element)
        element:SetHotSpot(220.5, 191.5)
        element:SetParentElement(compositionfon)
        element:SetXY(336, 211)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(2)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 441, 441)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.08141411916174)
    
        effector:Play()
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/18_arbour_/ZoomPipe/anim/spider/2.png")
        element:SetName("Layer_5")
        compositionfon:AddElement(element)
        element:SetHotSpot(72.5, 65.5)
        element:SetParentElement(compositionfon)
        element:SetXY(425, 101)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.04040404040404)
    
    
        effector:Play()
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/18_arbour_/ZoomPipe/anim/spider/kusok.png")
        element:SetName("Layer_6")
        compositionfon:AddElement(element)
        element:SetHotSpot(74, 55.5)
        element:SetParentElement(compositionfon)
        element:SetXY(483, 270)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.04040404040404)
    
        effector:Play()
    
        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/18_arbour_/ZoomPipe/anim/spider/1.png")
        element:SetName("Layer_7")
        compositionfon:AddElement(element)
        element:SetHotSpot(228.5, 205)
        element:SetParentElement(compositionfon)
        element:SetXY(322.5, 218)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.04040404040404)
    
        effector:Play()
  
        return compositionfon
    end
    
    ---------------------------------------------------------------------------------------------
    ---------------------------------------------------------------------------------------------
    ---------------------------------------------------------------------------------------------
    
    createComposition_spider_run = function()
    
        local compositionfon = CreateCompositionSequence()
        local compositionDuration = 0.64646464646465
        compositionfon:SetDuration(compositionDuration)
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/18_arbour_/ZoomPipe/anim/spider/perv.png")
        element:SetName("Layer_1")
        compositionfon:AddElement(element)
        element:SetHotSpot(220.5, 191.5)
        element:SetParentElement(compositionfon)
        element:SetXY(336.875, 210.875)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0.3030303030303, 0.65656565656566)
    
    
        effector:Play()
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/18_arbour_/ZoomPipe/anim/spider/1.png")
        element:SetName("Layer_2")
        compositionfon:AddElement(element)
        element:SetHotSpot(228.5, 205)
        element:SetParentElement(compositionfon)
        element:SetXY(322.25, 218)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0.3030303030303, 0.66666666666667)
    
    
        effector:Play()
    
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/18_arbour_/ZoomPipe/anim/spider/2.png")
        element:SetName("Layer_3")
        compositionfon:AddElement(element)
        element:SetHotSpot(72.5, 65.5)
        element:SetParentElement(compositionfon)
        element:SetXY(424, 100)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 0.66666666666667)
    
    
        effector:Play()
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/18_arbour_/ZoomPipe/anim/spider/spider_run.png")
        element:SetName("Layer_4")
        compositionfon:AddElement(element)
        element:SetHotSpot(132, 155)
        element:SetParentElement(compositionfon)
        element:SetXY(364, 155)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
        
            anim = element:GetTexture()
			anim:SetSpeed(25)
			anim:SetFrames(20)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 269, 310)
			anim:SetMode(HGEANIM_FWD)
			anim:Play()
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 0.63333333333333)
    
    
        effector:Play()
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/18_arbour_/ZoomPipe/anim/spider/web_shake.png")
        element:SetName("Layer_5")
        compositionfon:AddElement(element)
        element:SetHotSpot(220.5, 191.5)
        element:SetParentElement(compositionfon)
        element:SetXY(336.75, 210.75)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(2)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 441, 441)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 0.3030303030303)
    
    
        effector:Play()
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/18_arbour_/ZoomPipe/anim/spider/1.png")
        element:SetName("Layer_6")
        compositionfon:AddElement(element)
        element:SetHotSpot(228.5, 205)
        element:SetParentElement(compositionfon)
        element:SetXY(322.25, 218)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 0.3030303030303)
    
    
        effector:Play()
        
        return compositionfon
    end

    

